
function berryTitle(berryItem) {                                                
                                                                                
    var title = berryItem.getAttribute('dc.Title');                          
    if (title.length > 76){                                                     
        title = title.substring(0,30)+" ... "+title.substr(title.length-45,45);
    }                                                                           
                                                                                
    return title;                                                               
}              


function generateDocDisplay(li, doc, doc_id) {
    
    var a = document.createElement('a');                                                                 
    a.href=generateURL(doc);
    a.appendChild(document.createTextNode(doc['dc.Title'])); 
    li.appendChild(a);
}


function populateUrlsAndMetadata(parea){

	var fulltext="";
	for (var i in docList){
	    var doc = docList[i];
	    var url = generateURL(doc)+"\n";

	    var metadata = "";
	    if (doc['dc.Title']) {
		metadata += gs.text.berry.doc_title+": "+doc['dc.Title']+"\n";
	    }

	    if (doc['name']) {
		metadata += gs.text.berry.doc_name+": "+doc['name']+"\n";
	    }
//	    if (doc['collection']) {
//		metadata += gs.text.berry.doc_collection+": "+doc['collection']+"\n";
//	    }
	    if (doc['Date']) {
		metadata += gs.text.berry.doc_date+": "+doc['Date']+"\n";
	    }
	    // allow for inclusion of custom metadata
//	    for (var m in doc) {
//		if (!default_metas.includes(m)) {
//		    metadata += m +":" + doc[m]+"\n";
//		}
//	    }
	    fulltext +=url+metadata+"\n";
	}

	parea.value = fulltext;

}

